%define noalsa  alpha ppc sparc sparc64 %{ix86} x86_64 ia64
%define lib_name libcddb-slave2
%define lib_major 0
%define req_gail_version			0.13
%define req_gstreamer_version		0.6.0

Summary:	GNOME media programs
Name:		gnome-media
Version:	2.2.1.1
Release:	1mdk
License:	LGPL
Group:		Graphical desktop/GNOME
BuildRequires:	libgnomeui2_0-devel libgail-devel ncurses-devel scrollkeeper smtpdaemon
BuildRequires: libgail-devel >= %{req_gail_version}
BuildRequires: gstreamer-plugins-devel >= %{req_gstreamer_version}
BuildRequires: gnome-desktop-devel
Source:		ftp://ftp.gnome.org/pub/GNOME/sources/gnome-media/gnome-media-%{version}.tar.bz2
Source3:	gnome-mixer.png
# (fc) 2.0.0-6mdk don't test OSS version
Patch1:		gnome-media-2.0.0-disableosstest.patch.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot
URL:		http://www.gnome.org/
Requires:   gstreamer-audio-formats >= %{req_gstreamer_version}
Requires:   gstreamer-audio-effects >= %{req_gstreamer_version}
Requires:   gstreamer-audiosink >= %{req_gstreamer_version}
Requires:   gstreamer-audiosrc >= %{req_gstreamer_version}
Obsoletes:	grecord
Provides:	grecord
PreReq:		scrollkeeper >= 0.3

%ifnarch %{noalsa}
Requires:	alsa-lib
Buildrequires:	alsa-lib, alsa-lib-devel
%endif

%description
GNOME (GNU Network Object Model Environment) is a user-friendly set
of applications and desktop tools to be used in conjunction with
a window manager for the X Window System. GNOME is similar
in purpose and scope to CDE and KDE, but GNOME (as KDE) 
is based completely on Open Source software.

GNOME's powerful environment is pleasing on the eye, easy to
configure and use.

This package will install such media features as the GNOME
CD player.

%package -n %{lib_name}_%{lib_major}
Summary:	%{summary}
Group:		%{group}

Provides:	%{lib_name} = %{version}-%{release}

%description -n %{lib_name}_%{lib_major}
libraries for running GNOME media.

%package -n %{lib_name}_%{lib_major}-devel
Summary:	Static libraries, include files for GNOME media
Group:		Development/GNOME and GTK+
Provides:	%{lib_name}-devel = %{version}-%{release}
Requires:	%{lib_name}_%{lib_major} = %{version}

%description -n %{lib_name}_%{lib_major}-devel
Panel libraries and header files for GNOME media.



%prep
%setup -q 
%patch1 -p1 -b .disableosstest

cp %{SOURCE3} gmix/

%build

%configure2_5x \
%ifnarch %{noalsa}
--enable-alsa
%else
--disable-alsa
%endif

%make

%install
rm -rf $RPM_BUILD_ROOT

GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 %makeinstall_std

mkdir -p $RPM_BUILD_ROOT%{_menudir}

cat << EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}): \
	needs="gnome" \
	command="%{_bindir}/gnome-cd" \
	section="Multimedia/Sound" \
	title="CD Player" \
	longtitle="Play audio CDs" \
	icon="%{_datadir}/pixmaps/gnome-cd.png" \
	startup_notify="true"
?package(%{name}): \
	needs="gnome" \
	command="%{_bindir}/gnome-volume-control" \
	section="Multimedia/Sound" \
	title="Volume Control" \
	longtitle="Adjust the volume level" \
	icon="%{_datadir}/pixmaps/gnome-mixer.png" \
	startup_notify="true"
?package(%{name}): \
	needs="gnome" \
	command="%{_bindir}/vumeter" \
	section="Multimedia/Sound" \
	title="Volume monitor" \
	longtitle="Monitor the sound output volume" \
	icon="%{_datadir}/pixmaps/gnome-vumeter.png" \
	startup_notify="true"
?package(%{name}): \
	needs="gnome" \
	command="%{_bindir}/vumeter -r" \
	section="Multimedia/Sound" \
	title="Recording level monitor" \
	longtitle="Monitor the recording input volume" \
	icon="%{_datadir}/pixmaps/gnome-vumeter.png" \
	startup_notify="true"
?package(%{name}): \
	needs="gnome" \
	command="%{_bindir}/gnome-sound-recorder" \
	section="Multimedia/Sound" \
	title="Sound Recorder" \
	longtitle="Record sound clips" \
	icon="%{_datadir}/pixmaps/gnome-grecord.png" \
	startup_notify="true"
?package(%{name}): \
	needs="gnome" \
	command="%{_bindir}/cddb-slave2-properties" \
	section="Configuration/GNOME/Advanced" \
	title="CD Database" \
	longtitle="Modify your CD database preferences" \
	icon="%{_datadir}/pixmaps/gnome-cd.png" \
	startup_notify="true"
EOF

%find_lang %{name}-2.0 --with-gnome --all-name

# create cache files
touch $RPM_BUILD_ROOT%{_datadir}/gnome/help/gnome-cd/C/gnome-cd.html \
 $RPM_BUILD_ROOT%{_datadir}/gnome/help/gnome-sound-recorder/C/gnome-sound-recorder.html \
 $RPM_BUILD_ROOT%{_datadir}/gnome/help/gnome-volume-control/C/gnome-volume-control.html


%clean
rm -rf $RPM_BUILD_ROOT

%post
if [ -x /usr/bin/scrollkeeper-update ]; then /usr/bin/scrollkeeper-update -q || true ; fi
if [ -x /usr/bin/yelp-pregenerate ]; then /usr/bin/yelp-pregenerate %{_datadir}/gnome/help/gnome-cd/C/gnome-cd.xml %{_datadir}/gnome/help/gnome-sound-recorder/C/gnome-sound-recorder.xml %{_datadir}/gnome/help/gnome-volume-control/C/gnome-volume-control.xml > /dev/null || true ; fi
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
for SCHEMA in CDDB-Slave2 gnome-cd gnome-sound-recorder gnome-volume-control ; do
	gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/$SCHEMA.schemas > /dev/null
done
%{update_menus}

%postun
if [ -x /usr/bin/scrollkeeper-update ]; then /usr/bin/scrollkeeper-update -q || true ; fi
%{clean_menus}

%post -p /sbin/ldconfig -n %{lib_name}_%{lib_major}

%postun -p /sbin/ldconfig -n %{lib_name}_%{lib_major}

%files -f  %{name}-2.0.lang
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README

%config(noreplace) %{_sysconfdir}/gconf/schemas/*
%{_bindir}/*
%{_libexecdir}/CDDBSlave2
%{_libexecdir}/cddb-track-editor
%{_libdir}/bonobo/servers/*
%{_datadir}/applications/*
%{_datadir}/control-center-2.0/capplets/*
%{_datadir}/gnome-media-2.0
%{_datadir}/gnome-sound-recorder
%{_datadir}/pixmaps/*
%{_datadir}/omf/*
%{_menudir}/*
%{_datadir}/idl/*
%ghost %{_datadir}/gnome/help/*/C/*.html

%files -n  %{lib_name}_%{lib_major}
%defattr(-, root, root)
%{_libdir}/*.so.*

%files -n  %{lib_name}_%{lib_major}-devel
%defattr(-, root, root)
%{_libdir}/*.so
%{_libdir}/*.la
%{_libdir}/*.a
%{_includedir}/*



%changelog
* Thu Feb  6 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.2.1.1-1mdk
- Release 2.2.1.1

* Mon Feb  3 2003 Gtz Waschk <waschk@linux-mandrake.com> 2.2.0-2mdk
- remove gstreamer-properties (obsolete?)
- fix buildrequires
- rebuild for new gstreamer

* Mon Jan 27 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.2.0-1mdk
- Release 2.2.0
- Remove patch 2 (merged upstream)

* Thu Jan 23 2003 Gtz Waschk <waschk@linux-mandrake.com> 2.1.5-3mdk
- rebuild against latest gstreamer

* Fri Jan 17 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.1.5-2mdk
- Recompiled against latest openssl
- Generate yelp cache

* Wed Jan  8 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.1.5-1mdk
- Release 2.1.5
- from Gtz Waschk : 
 - requires gstreamer-audiosink and audiosrc instead of forcing oss
 - requires new gstreamer

* Wed Dec 11 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.1.3-1mdk
- Release 2.1.3

* Tue Nov 26 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.1.1-1mdk
- Release 2.1.1
- Remove patch0 (merged upstream)

* Mon Nov 11 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 2.0.2.5-3mdk
- Disable alsa on x86-64 and ia64 too
- Patch2: Fix for 64-bit platforms

* Thu Oct 31 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.2.5-2mdk
- Add missing cddb-track-editor file

* Thu Oct 10 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.2.5-1mdk
- Release 2.0.2.5
- Remove patches 2 & 3 (merged upstream)

* Thu Sep 12 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.0-7mdk
- Patch2 (CVS): allow change of device in gnome-cd
- Patch3 (CVS): fix crash while recording and fix permission of tmp files

* Tue Sep  3 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.0-6mdk
- Patch1: don't test OSS version in gnome-volume-control

* Wed Jul 31 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.0-5mdk
- Regenerate patch0 for gnome-media 2.0.0 (don't complain in init mode
  if no sound system is present)

* Wed Jul 24 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.0-4mdk
- Add menu entry to configure CDDB 
- Recompiled against gail 0.17

* Wed Jun 26 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.0-3mdk
- Fix package rebuild (reported by Goetz Waschk)
- Fix menu entries

* Wed Jun 12 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.0-2mdk
- Recompiled against gail 0.16

* Tue Jun 11 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.0-1mdk
- Release 2.0.0

* Thu Jun  6 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.999999999.0-1mdk
- Release 1.999999999.0

* Tue May 14 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.547.0-1mdk
- Release 1.547.0

* Thu Apr 18 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.520.2-1mdk
- Release 1.520.2

* Tue Apr 16 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.520.0-1mdk
- Release 1.520.0
- Disable Mdk patches

* Wed Apr 10 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.287.113-1mdk
- Release 1.287.113 (GNOME 2)

* Fri Mar  8 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2.3-7mdk
- Patch0: don't complain in init mode when devfsd is running and no sound
  card is found

* Thu Feb 21 2002 Pablo Saratxaga <pablo@mandrakesoft.com> 1.2.3-6mdk
- integrated Basque translation

* Mon Dec  3 2001 Stefan van der Eijk <stefan@eijk.nu> 1.2.3-5mdk
- fix BuildRequires
- Provide grecord (rpmlint)

* Fri Sep 14 2001 Pablo Saratxaga <pablo@mandrakesoft.com> 1.2.3-4mdk
- rebuild including latest translations

* Tue Aug 21 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2.3-3mdk
- Add obsoletes on grecord 

* Tue Jul 10 2001 Stefan van der Eijk <stefan@eijk.nu> 1.2.3-2mdk
- BuildRequires:	db1-devel
- Removed BuildRequires:	ORBit-devel
- Removed BuildRequires:	XFree86-devel
- Removed BuildRequires:	audiofile-devel
- Removed BuildRequires:	esound-devel
- Removed BuildRequires:	imlib-devel

* Wed Jun 27 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2.3-1mdk
- Release 1.2.3
- Remove all patches (merged upstream)

* Fri Apr 27 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2.2-1mdk
- Release 1.2.2
- Remove patch1
- Merge patches 4 5 6 & 8 and sources 1 & 2 in patch 4 (ximian patch)
- New patch5 for better grecord command search (ximian patch)
- Add missing corba files
- Add scrollkeeper support

* Mon Nov 20 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2.0-14mdk
- Fix bug 1048 : don't compile with ALSA support. Will try to 
  detect sound support at runtime in a future release.

* Fri Oct 27 2000 David BAUDENS <baudens@mandrakesoft.coM> 1.2.0-13mdk
- Fix build for PPC

* Thu Oct  5 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2.0-12mdk
- Doesn't provide gnome core directories (provided by gnome-libs), correct bug #614

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.2.0-11mdk
- automatically added BuildRequires

* Thu Aug  3 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2.0-10mdk
- Merge from helix : correct cddb submit not working

* Wed Jul 26 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2.0-9mdk
- build with alsa support only on supported architectures
- bzip complementary files

* Mon Jul 24 2000 dam's <damien@mandrakesoft.com> 1.2.0-8mdk
- rebuilt without --disable-alsa. I sux.
- re-applying patch9

* Mon Jul 24 2000 dam's <damien@mandrakesoft.com> 1.2.0-7mdk
- rebuild with --disable-alsa
- not appying patch9 anymore.

* Fri Jul 21 2000 dam's <damien@mandrakesoft.com> 1.2.0-6mdk
- BM + macrozificaion

* Tue Jul 11 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.2.0-5mdk
- compile against current alsa lib

* Tue Jul 11 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.2.0-4mdk
- use new macros
- reput need alsa requirement for gmix !!! (damscks)
- also add build requirements on alsa-lib{-devel,}
- add missing files (*.desktop, *.idl, mime files, ...)

* Mon Jul 10 2000 dam's <damien@mandrakesoft.com> 1.2.0-2mdk
- Corrected bad alsa requirement.

* Fri Jul  7 2000 dam's <damien@mandrakesoft.com> 1.2.0-1mdk
- updated from helix.
- added patches.

* Thu May 04 2000 Daouda Lo <daouda@mandrakesoft.com> 1.0.51-3mdk
- added menu entries.
- path to icons remains hardcoded.

* Mon Apr 10 2000 Daouda Lo <daouda@mandrakesoft.com> 1.0.51-2mdk
- adjust group.
- spec cleaned.

* Sat Oct 30 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- 1.0.51

* Fri Sep 24 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- 1.0.40

* Fri Aug 06 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- 1.0.9.1
- cleaned %files
- added an icon

* Fri Jul 23 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Rebuild without glib-1.3.

* Thu Jul 15 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- 1.0.9.

* Fri Apr 23 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Build for Mandrake.
- Stripping again ;-)

* Fri Mar 19 1999 Michael Fulbright <drmike@redhat.com>
- strip binaries

* Mon Feb 15 1999 Michael Fulbright <drmike@redhat.com>
- version 0.99.8

* Tue Jan 19 1999 Michael Fulbright <drmike@redhat.com>
- fixed building on sparc and RH 5.2 - seems to get confused into thinking
  we have cd changer support when we don't

* Wed Jan 06 1999 Michael Fulbright <drmike@redhat.com>
- updated to 0.99.1

* Wed Dec 16 1998 Michael Fulbright <drmike@redhat.com>
- updated for GNOME freeze

* Sat Nov 21 1998 Pablo Saratxaga <srtxg@chanae.alphanet.ch>
- added spanish and french translations for rpm

* Wed Sep 23 1998 Michael Fulbright <msf@redhat.com>
- Updated to 0.30 release

* Mon Mar 16 1998 Marc Ewing <marc@redhat.com>
- Integrate into gnome-media CVS source tree
